Bug 255938 - www/libmicrohttpd: Update to 0.9.73
Summary: www/libmicrohttpd: Update to 0.9.73
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://lists.gnu.org/archive/html/li...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-17 08:00 UTC by Daniel Engberg
Modified: 2021-06-01 13:57 UTC (History)
2 users (show)

See Also:
gaod: maintainer-feedback+


Attachments
Patch for libmicrohttpd (1.31 KB, patch)
2021-05-17 08:00 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-05-17 08:00:35 UTC
Created attachment 225012 [details]
Patch for libmicrohttpd

Update libmicrohttpd to 0.9.73

Compile and run-time tested on 13.0-STABLE #0 stable/13-n245227-5ec4eb443e8 (amd64) (make, make check-plist, make test)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Hung-Yi Chen 2021-05-17 08:12:50 UTC
LGTM
Comment 2 Li-Wen Hsu freebsd_committer 2021-05-17 09:29:20 UTC
(In reply to daniel.engberg.lists from comment #0)
Thanks for the patch, can you setup your name (at https://bugs.freebsd.org/bugzilla/userprefs.cgi?tab=account ) then we can use it in the author field in the git log?
Comment 3 Daniel Engberg 2021-05-17 15:31:01 UTC
Done, thanks in advance!
Comment 4 Daniel Engberg 2021-05-23 07:11:02 UTC
Li-Wen,

Anything else that needs to be done?

Regards,
Daniel
Comment 5 Li-Wen Hsu freebsd_committer 2021-05-23 15:50:17 UTC
(In reply to Daniel Engberg from comment #4)
I found that there are several ports depend on this library so I am doing a mini exp-run for those ports.
Comment 6 commit-hook freebsd_committer 2021-06-01 13:57:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dcf64bd8b64151be770538e3a2dfbef00772a3c8

commit dcf64bd8b64151be770538e3a2dfbef00772a3c8
Author:     Daniel Engberg <daniel.engberg.lists@pyret.net>
AuthorDate: 2021-05-31 13:01:13 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-01 13:55:39 +0000

    www/libmicrohttpd: Update to 0.9.73

    PR:             255938
    Approved by:    Hung-Yi Chen <gaod@hychen.org>

 www/libmicrohttpd/Makefile  | 2 +-
 www/libmicrohttpd/distinfo  | 6 +++---
 www/libmicrohttpd/pkg-plist | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-06-01 13:57:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a7309207a05253fea710198f4b015420cdcb93d6

commit a7309207a05253fea710198f4b015420cdcb93d6
Author:     Li-Wen Hsu <lwhsu@FreeBSD.org>
AuthorDate: 2021-06-01 13:52:44 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-01 13:55:40 +0000

    *: Bump PORTREVISION after www/libmicrohttpd updated

    PR:             255938

 audio/faust/Makefile                           | 2 +-
 audio/faustlive/Makefile                       | 1 +
 audio/gmpc-mserver/Makefile                    | 2 +-
 devel/kiwix-lib/Makefile                       | 2 +-
 graphics/drawpile/Makefile                     | 2 +-
 multimedia/kodi/Makefile                       | 2 +-
 multimedia/motion/Makefile                     | 1 +
 multimedia/musikcube/Makefile                  | 1 +
 net-p2p/retroshare/Makefile                    | 2 +-
 net-p2p/xmrig/Makefile                         | 1 +
 net/libnpupnp/Makefile                         | 1 +
 net/libstorj/Makefile                          | 2 +-
 security/greenbone-security-assistant/Makefile | 1 +
 www/kiwix-tools/Makefile                       | 1 +
 14 files changed, 14 insertions(+), 7 deletions(-)